> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant Data

> API to fetch tenant settings (logo, colors, links, preference) corresponding to a tenant_id. To create or update tenant data, use the [Create/Update Tenant](#create-update-tenants) endpoint. To create or update tenant data, use the [Create/Update Tenant](#create-update-tenants) endpoint. To create or update tenant data, use the [Create/Update Tenant](#operation/create-tenants) endpoint.



## OpenAPI

````yaml GET /v1/tenant/{tenant_id}
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/tenant/{tenant_id}:
    get:
      summary: Get Tenant data
      description: >-
        API to fetch tenant settings (logo, colors, links, preference)
        corresponding to a tenant_id. To create or update tenant data, use the
        [Create/Update Tenant](#create-update-tenants) endpoint. To create or
        update tenant data, use the [Create/Update
        Tenant](#create-update-tenants) endpoint. To create or update tenant
        data, use the [Create/Update Tenant](#operation/create-tenants)
        endpoint.
      operationId: get-tenant
      parameters:
        - name: tenant_id
          in: path
          description: unique identifier of the tenant you want to get the details for
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    tenant_id: _tenant_id_
                    tenant_name: Awesome Tenant
                    logo: >-
                      https://ik.imagekit.io/l0quatz6utm/suprsend/staging/media/suprsend-only-logo_c8aa27faef118418e8c5bd7b31a1cafc74e09200.png
                    timezone: null
                    blocked_channels:
                      - email
                    embedded_preference_url: https://app.suprsend.com/en/user-settings/notifications
                    hosted_preference_domain: preferences.suprsend.com
                    primary_color: '#ff0000'
                    secondary_color: '#0000ff'
                    tertiary_color: '#00ffff'
                    social_links:
                      website: https://suprsend.com
                      facebook: https://www.company.com
                      linkedin: ''
                      x: ''
                      instagram: ''
                      medium: ''
                      discord: ''
                      telegram: ''
                      youtube: ''
                      tiktok: ''
                    properties:
                      k1: v1
                      address: my company address
                    updated_at: '2025-04-06T21:01:35.359787Z'
              schema:
                type: object
                description: >-
                  Updated Object Payload is returned in response. JSON structure
                  similar to [request
                  payload](/reference/create-update-tenants).
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: No tenant found for tenant_id tenant
                    detail: No tenant found for tenant_id tenant
              schema:
                type: object
                description: error code and message detailing the error
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````

Built with [Mintlify](https://mintlify.com).